using Test
using DataFrames
using FACTDataReader

@testset "FACTDataREader New Mexico Tests" begin
    include("nm_test/FACT_geo.jl")
    include("nm_test/FACT_jobs.jl")
    include("nm_test/FACT_population.jl")
    include("nm_test/FACT_air.jl")
    include("nm_test/FACT_rail.jl")
    include("nm_test/FACT_ports.jl")
    include("nm_test/FACT_power.jl")
    include("nm_test/FACT_mine.jl")
    include("nm_test/FACT_road_NA.jl")
    include("nm_test/FACT_elevation.jl")
    include("nm_test/FACT_lulc.jl")
    include("nm_test/FACT_bldgs.jl")
end

@testset "FACTDataREader Norway Tests" begin
    include("no_test/FACT_geo.jl")
    include("no_test/FACT_jobs.jl")
    include("no_test/FACT_population.jl")
    include("no_test/FACT_air.jl")
    include("no_test/FACT_rail.jl")
    include("no_test/FACT_ports.jl")
    include("no_test/FACT_power.jl")
    include("no_test/FACT_mine.jl")
    include("no_test/FACT_road_EU.jl")
    include("no_test/FACT_elevation.jl")
    include("no_test/FACT_lulc.jl")
    include("no_test/FACT_bldgs.jl")
end